#!/usr/bin/env python
'''
Generate a pseudo-random secret key for the settings.py
file.
'''
import random
import string

def main():
    '''
    Generate a 50 character random secret key compatible with
    Django.
    '''
    alphabet = string.ascii_lowercase + string.digits + '!@#$%^&*()-_=+'
    key = ''.join([random.SystemRandom().choice(alphabet) for _ in range(50)])
    print(key)

if __name__ == '__main__':
    main()
