#!/usr/bin/env python
'''
Substitute fields in a text file without regular expressions.

This tool is used to replace the configuration variables.

It is meant to be used as follows:

   $ cat infile | \
       ./replace.py @@WEBUSER@@ 'foobar' | \
       ./replace.py @@SECRET_KEY@@ 'blatz' > outfile
'''
import sys


def main():
    '''
    main
    '''
    pattern = sys.argv[1]
    value = sys.argv[2]
    for line in sys.stdin.readlines():
        line = line.rstrip().replace(pattern, value)
        print('%s' % (line))


if __name__ == '__main__':
    main()
